Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85951 - link gives error on bind mount
Summary: link gives error on bind mount
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-11 13:54 UTC by Neal D. Becker
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:38 UTC


Attachments (Terms of Use)

Description Neal D. Becker 2003-03-11 13:54:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux)

Description of problem:
link("/home/nbecker/RPM/RPMS/i386/boost-jam-3.1.3-1.i386.rpm", "/var/ftp/pub/rh8.0/boost-jam-3.1.3-1.i386.rpm") = -1 EXDEV (Invalid cross-device link)

/disk1/nbecker on /home/nbecker type none (rw,bind)

It isn't a cross device link.  /home/nbecker is a bind mount.  /disk1/nbecker and /var/ftp are on the same device.

Linking /disk1/nbecker to /var/ftp works OK.

The semantics of a link on a bind mount should be the same as if there was no bind mount.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.ln
2.
3.
    

Additional info:

Comment 1 Bugzilla owner 2004-09-30 15:40:38 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.